org.eclipse.wst.jsdt.chromium.debug.core.model

## Class DebugElementImpl.WithSuspended

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspended

Enclosing class:
  DebugElementImpl

    public static class DebugElementImpl.WithSuspended
    extends DebugElementImpl.WithSuspendedBase

A base class for debug element that refers to `JavascriptThread.SuspendedState`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
Constructor and Description
`WithSuspended(JavascriptThread.SuspendedState suspendedState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`JavascriptThread.SuspendedState` `getSuspendedState()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getAdapter, getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithSuspended

    public WithSuspended(JavascriptThread.SuspendedState suspendedState)

### Method Detail

#### getSuspendedState

    public JavascriptThread.SuspendedState getSuspendedState()

Specified by:
  `getSuspendedState` in class `DebugElementImpl.WithSuspendedBase`